Create Batch

Create Batch

Call this endpoint with the required parameters to create a payment batch containing the details of the beneficiaries/vendors to be paid. Upon successful creation of the batch, the batch will be created in Autopay.

Before the payments can be processed and beneficiaries/vendors credited, the designated Approving/Authorizing Officer must log in to Autopay to review and approve/authorize the batch. Once the necessary authorization is completed, the batch will be processed and the beneficiaries'/vendor's accounts will be credited accordingly.

Endpoint: POST /BatchUpload/CreateBatch

Request:

curl --location 'https://batch-upload.uat.isw.la/api/BatchUpload/CreateBatch' \
--header 'Content-Type: application/json' \
--header 'Accept: text/plain' \
--header 'Authorization: Bearer <TOKEN>'
--data-raw '{
"terminalId": "3SC10001",
  "institutionCode": "SC1",
  "sponsorCode": "ISW",
  "batchDescription": "Test Batch 281026",
  "isSingleDebit": true,
  "payingAccountName": "selenium additional card",
  "paymentCategory": "Allowance",
  "batchType": "Bulk Remittance",
"isDuplicateAllowed": false,
  "payments": [
    {
      "paymentReference": "6387392982",
      "beneficiaryCode": "4503",
      "names": "abyomi fatima",
      "accountNo": "0017063684",
      "accountType": "10",
      "cbnSortCode": "058",
      "isCashCard": false,
      "narration": "October Salary",
      "amount": "1000",
      "emailAddress": "[email protected]",
      "currencyCode": "NGN"
    }
  ]
}

Response:

{
    "hasResult": true,
    "result": {
        "batchId": 687842,
        "batchDescription": "Test Batch 281026",
        "batchType": "Bulk Remittance",
        "terminalId": "3SC10001",
        "institutionCode": "SC1",
        "totalRecord": 1,
        "payingAccountName": "selenium additional card",
        "batchStatus": "Closed",
        "dateCreated": "2026-10-28T05:29:31.65",
        "createdBy": "CLN4402776026"
    },
    "resultType": 1,
    "message": null,
    "validationMessages": null,
    "responseMessage": "Batch Created Successfully.",
    "responseCode": "00",
    "successful": true
}

Request Description

FieldTypeRequiredDescription
terminalIdstringYesTerminal identifier (max 20 chars, alphanumeric). This will be provided by Intersiwtch upon go-live
institutionCodestringYesCorporate institution code (3-6 chars). This will be provided by Intersiwtch upon go-live
sponsorCodestringYesSponsor institution code (3-6 chars). This will be provided by Intersiwtch upon go-live
batchDescriptionstringYesBatch name/description (5-50 chars)
isSingleDebitbooleanYesTrue = Single debit (line-by-line debit) on the corporate account.
False = Bulk debit on the corporate account. This requires a Float Card and will be provided by Interswitch upon go-live
payingAccountNamestringYesName of the paying account (max 100 chars) as configured on Autopay
paymentCategorystringYesCategory of payment (e.g., "Salary", "Vendor")
batchTypestringYesType: "Bulk Remittance" or "Single Payment".
isDuplicateAllowedbooleanYestrue or false. Allow duplicate payment references
paymentsarrayYesArray of payment objects (min 1, max 1000)
paymentReferencestringYesUnique payment reference (max 100 chars) for the beneficiary
beneficiaryCodestringYesBeneficiary identifier
namesstringYesBeneficiary full name (max 200 chars)
accountNostringYes10-digit NUBAN account number of the beneficiary
accountTypestringYes"10" (Savings) or "20" (Current)
cbnSortCodestringYes3-digit CBN bank sort code of the beneficiary's bank
isCashCardstringYesIf true, payment is to a cash card
narrationstringYesPayment description (5-200 chars)
amountstringYesAmount in NGN (decimal format, e.g., "5000.00") to paid
emailAddressstringYesValid email address of the beneficiary
currencyCodestringYes"NGN" only
📘

Key Points

The terminalId, institutionCode and sponsorCode will be provided by Interswitch upon go-live.


📘

Implementation Notes:

Upon successful creation of the batch, the designated Approving Officer must log in to Autopay to review and approve/authorize the batch. Once the required approval has been completed, the batch will be eligible for processing. Kindly follow the steps below to approve or authorize the batch.

Approving Officer:

  1. Log in to Autopay.
  2. Navigate to the "Approve Payments" menu.
  3. Locate and select the batch you wish to approve.
  4. Click Approve or Approve All to approve the payment(s) within the batch.

Authorizing Officer:

  1. Log in to Autopay after the Approving Officer has completed the approval.
  2. Navigate to the "Commit Payments" menu.
  3. Locate the approved batch and click Authorize.
  4. Click Authorize or Authorize All to authorize the payment(s) within the batch.
  5. Enter your card PIN to complete the authorization process.


Support

For technical support or integration assistance and go-live:


Did this page help you?